org.minidns.record

## Enum TLSA.MatchingType

- java.lang.Object
- - java.lang.Enum<TLSA.MatchingType>
  - - org.minidns.record.TLSA.MatchingType

- All Implemented Interfaces:
    Serializable, Comparable<TLSA.MatchingType>
  Enclosing class:
    TLSA

      public static enum TLSA.MatchingType
      extends Enum<TLSA.MatchingType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `noHash`
    `sha256`
    `sha512`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `byteValue`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TLSA.MatchingType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TLSA.MatchingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### noHash

          public static final TLSA.MatchingType noHash

    - #### sha256

          public static final TLSA.MatchingType sha256

    - #### sha512

          public static final TLSA.MatchingType sha512

  - ### Field Detail

    - #### byteValue

          public final byte byteValue

  - ### Method Detail

    - #### valueOf

          public static TLSA.MatchingType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static TLSA.MatchingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TLSA.MatchingType c : TLSA.MatchingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared